# Set a permission to multiple roles

Associate a permission with multiple roles.
Provide the permission ID as a path parameter and include the role IDs in the request body as an array of strings. Any pre-existing role associations will remain.
You can obtain role IDs using the **Get roles** API.

Endpoint: PUT /resources/permissions/v1/{permissionId}/roles
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `permissionId` (string, required)

## Request fields (application/json):

  - `roleIds` (array, required)
    The permission will be assigned to the specified roles

## Response 200 fields (application/json):

  - `id` (string, required)

  - `key` (string, required)

  - `name` (string, required)

  - `description` (string, required)

  - `createdAt` (string, required)

  - `updatedAt` (string, required)

  - `roleIds` (array, required)

  - `categoryId` (string, required)

  - `fePermission` (boolean, required)

